#ifndef _IMPLEMENTATION_H_
#define _IMPLEMENTATION_H_

#include "interface.hpp" 
#include <iostream>
#include <unistd.h>

struct Device::deviceImpl
{
	deviceImpl() 
	{
		std::cout << "Device implementation Constarctor For Liunx "<< std::endl;
	}
	void printNumber(const uint8_t& no)
	{
		std::cout << "selected no: "<< unsigned(no*2) << std::endl;
	}
}; 

#endif // _IMPLEMENTATION_H_
